#include <iostream>
#include <vector>
using namespace std;

vector <int> a;

main ()

{
   int n,k;

   cin >> n >> k;

   vector <int> a;

   bool p= true;

   for (int i=0; i<n; i++)
   {
    int l; cin >> l;  a.push_back(l);  if ((l!=0) || (l!=1)) p = false;
   }

   if (k==1)
   {
       bool g = false;
       for (int i=1; i<n; i++)
       {
           if (a[i]<a[i-1]) { g=true; a.erase(a.begin()+i-1); }
           if (g==true) break;
           if (a[i]==a[i-1])
           {
               int m = 1; int in = i;
               for (int j=i; j<n; j++)
               {
                   if (a[j]>m) { m=a[j]; in=j; }
               }
              a.erase(a.begin()+in);
              g=true;
           }
           if (g==false)
           {
              int m = 1; int in = i;
               for (int j=i; j<n; j++)
               {
                   if (a[j]>m) { m=a[j]; in=j; }
               }
              a.erase(a.begin()+in);
              g=true;
           }
       }

       for (int i=0; i<a.size(); i++)
        cout << a[i] << " ";
   }
   
  


}